DeliveryControllerGetCustomConfigurationUI Method |
GET /Delivery/CustomConfigurationUI/{id}
Gets the custom configuration UI for the specified delivery provider in the system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("CustomConfigurationUI")]
public HttpResponseMessage GetCustomConfigurationUI(
Guid id,
string contentType,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("CustomConfigurationUI")>
Public Function GetCustomConfigurationUI (
id As Guid,
contentType As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"CustomConfigurationUI")]
HttpResponseMessage^ GetCustomConfigurationUI(
Guid id,
String^ contentType,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("CustomConfigurationUI")>]
member GetCustomConfigurationUI :
id : Guid *
contentType : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the provider to get the custom UI for. - contentType
- Type: SystemString
The type of the content to get the UI for. For example: text/html. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
HttpResponseMessage
A
String object, or a status code indicating the problem.
See Also